import * as z from 'zod';
import type { Prisma } from '../../../generated/prisma';
import { SortOrderSchema } from '../enums/SortOrder.schema'

const makeSchema = () => z.object({
  id: SortOrderSchema.optional(),
  patientId: SortOrderSchema.optional(),
  fileSize: SortOrderSchema.optional()
}).strict();
export const PatientDocumentSumOrderByAggregateInputObjectSchema: z.ZodType<Prisma.PatientDocumentSumOrderByAggregateInput> = makeSchema() as unknown as z.ZodType<Prisma.PatientDocumentSumOrderByAggregateInput>;
export const PatientDocumentSumOrderByAggregateInputObjectZodSchema = makeSchema();
